Bug 116051 - [PATCH] cvs does not properly reuse log messages in some cases
[PATCH] cvs does not properly reuse log messages in some cases
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cvs (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Ben Levenson
:
Depends On:
Blocks: 116727
  Show dependency treegraph
 
Reported: 2004-02-17 16:42 EST by Neil Horman
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-17 14:11:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to save the last log message a little longer so the reuse option works (1.49 KB, patch)
2004-02-17 16:43 EST, Neil Horman
no flags Details | Diff
A slightly better patch (793 bytes, patch)
2004-02-19 10:49 EST, Bernd Schmidt
no flags Details | Diff

  None (edit)
Description Neil Horman 2004-02-17 16:42:34 EST
Description of problem:
when multiple files are checked in to a cvs repository via cvs checkin
or cvs commit, the previous log message is expunged from memory too
soon, and so prompting for reuse of a prior log message can fail

Version-Release number of selected component (if applicable):
cvs-1.11.2

How reproducible:
always

Steps to Reproduce:
1.create a cvs repository with multiple files
2.change both files
3.run cvs ci
4.enter and save a log message 
5.when the next file prompts for a checkin log entry, simply exit the
editor without saving the temporary file.  You will be informed that
you have not entered a log message, and you will be offered options to
abort, continue, or use the last message.
6.Select (!) (the option to use the last recorded log message again.

  
Actual results:
an empty log message is recorded

Expected results:
the last entered log message should be reused.

Additional info:
Comment 1 Neil Horman 2004-02-17 16:43:49 EST
Created attachment 97768 [details]
patch to save the last log message a little longer so the reuse option works

This patch fixes this problem, and allows cvs to properly reuse log messages
between files during checkin
Comment 2 Bernd Schmidt 2004-02-19 10:49:41 EST
Created attachment 97836 [details]
A slightly better patch

I prefer this patch, which is used upstream in cvs-1.11.13 to fix the problem. 
It's smaller, and it also fixes the 'e' command to reedit the log message.
Comment 4 Jay Turner 2004-08-17 14:11:45 EDT
Fix confirmed with cvs-1.11.2-25.
Comment 5 Jay Turner 2004-09-01 23:35:51 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-346.html

Note You need to log in before you can comment on or make changes to this bug.